#
# spec file for package libquvi-scripts
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libquvi-scripts
Version:        0.9.20131130
Release:        lp152.4.2
Summary:        Lua scripts used by libquvi
License:        LGPL-2.1+
Group:          Productivity/Multimedia/Other
Url:            http://quvi.sourceforge.net/
Source:         http://downloads.sourceforge.net/project/quvi/0.9/libquvi-scripts/libquvi-scripts-%{version}.tar.xz
# For pkgconfig() Provides
BuildRequires:  pkgconfig
%if 0%{?suse_version} > 1320
# Package was renamed and provided for multiple lua versions after Leap 42.3
# Require the lua-version that libquvi links
Requires:       lua53-luasocket
%else
Requires:       luasocket
%endif

%description
libquvi-scripts contains the embedded lua scripts that libquvi uses for
parsing the media details. Some additional utility scripts are also
included.

%package devel
Summary:        Lua scripts used by libquvi -- Development Files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}

%description devel
libquvi-scripts contains the embedded lua scripts that libquvi uses for
parsing the media details. Some additional utility scripts are also
included.

%package nsfw
Summary:        Not Safe For Work Lua scripts used by libquvi
Group:          Productivity/Multimedia/Other
Requires:       %{name} = %{version}

%description nsfw
Website fetching scripts used by %{name} that are marked as "NSFW"
(Not Safe For Work).

%prep
%setup -q

%build
%configure \
    --with-nsfw

make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

EXCL="$PWD/exclude.lst"
NSFW="$PWD/nsfw.lst"
echo -n >"$EXCL"
echo -n >"$NSFW"
perl -n -e 'print $1,"\n" if /^if WITH_NSFW/ .. /endif/ and m,\b(lua/website/.+\.lua),' share/Makefile.am | while read f; do
    echo "%exclude %{_datadir}/libquvi-scripts/$f" >>"$EXCL"
    echo "%{_datadir}/libquvi-scripts/$f" >>"$NSFW"
done

%files -f exclude.lst
%doc AUTHORS ChangeLog COPYING NEWS README
%{_datadir}/libquvi-scripts/
%{_mandir}/man7/libquvi-scripts.7%{?ext_man}
%{_mandir}/man7/quvi-modules-3rdparty.7%{?ext_man}
%{_mandir}/man7/quvi-modules.7%{?ext_man}

%files nsfw -f nsfw.lst
%dir %{_datadir}/libquvi-scripts/

%files devel
%{_libdir}/pkgconfig/libquvi-scripts-0.9.pc

%changelog
* Thu Jul 27 2017 dimstar@opensuse.org
- Require the lua53-luasocket depending on suse_version > 1320.
  Leap 42.3 was the last one to ship 'luasocket', after that, the
  package was prepared for mutliple lua versions on the system.
- Do not BuildRequire lua-devel/lua51-devel: libquvi has long been
  ported to lua52 already. And we don't need the corresponding
  lua-devel here.
* Wed Oct 29 2014 olaf@aepfle.de
- Package script dir to avoid failure due to empty sub package
* Mon Feb 10 2014 dimstar@opensuse.org
- Add luasocket Requires: Various scripts require lua sockets (like
  youtube, bnc#863126).
* Mon Feb 10 2014 dimstar@opensuse.org
- Update to 0.9.20131130:
  + Many bugfixes. Please see NEWS for details.
* Wed Aug 14 2013 dimstar@opensuse.org
- Update to version 0.9.20130805:
  + Nearly two years of bugfixing and improvements. Please see NEWS
    file for full details.
- Drop libquvi-scripts-fix-youtube-lua.patch: fixed upstream.
* Tue Oct  2 2012 malcolmlewis@opensuse.org
- Add libquvi-scripts-fix-youtube-lua.patch: Fix new "signature"
  parameter added to YouTube playback URLs (bnc#783140).
* Mon Jan 23 2012 vuntz@opensuse.org
- Revert my previous change: libquvi doesn't work with lua 5.2, see
  http://sourceforge.net/apps/trac/quvi/ticket/89. And we want to
  build the scripts with the same version of lua as libquvi.
* Tue Jan 17 2012 vuntz@opensuse.org
- Always build against lua-devel: lua 5.2 on 12.2/Factory doesn't
  seem to be an issue.
* Wed Jan 11 2012 pascal.bleser@opensuse.org
- fix build on < factory
- also package nsfw scripts, but into a separate subpackage
* Tue Jan 10 2012 vuntz@opensuse.org
- New package (version 0.4.2).
- This is based on the quvi 0.2.19 package: quvi got split in three
  modules upstream for 0.4.x.
